using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace novcanice
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int broj = 0;
            long vrednost = long.Parse(Console.ReadLine());

            long tmp = vrednost;
            int cnt = 0;

            while (tmp > 0)
            {

                long N = tmp % 10;

                if (N >= 5)
                {
                    broj++;
                    N = N - 5;
                }

                if (N / 2 >= 1)
                {
                    broj = broj + (int)N / 2;

                    N = N - 2 * (N / 2);
                }

                if (N > 0)
                {
                    broj = broj + (int)N;

                }

                tmp = tmp / 10;
                cnt++;

            }

            //Console.WriteLine(vrednost);
            Console.WriteLine(broj);
            Console.ReadKey();

        }
    }
}